@ECHO OFF
cls
@setlocal enableextensions
@cd /d "%~dp0"
:README
	ECHO.
	ECHO ******************************************************************************
	ECHO.
	ECHO		ManageEngine Desktop Central Remote Office Setup Wizard
	ECHO.
	ECHO This script will install the Distribution Server in this computer and DC WAN agent in the computers specified in the computernames.txt. You should have logged in as an administrator to install the Distribution Server and Agent.
	ECHO.
	ECHO ******************************************************************************
	ECHO.
	ECHO.
	ECHO  1 - Install Agent to a single client computer
	ECHO.
	ECHO  2 - Install Agent with a certain IP Range within a subnet
	ECHO.
	ECHO  3 - Install Agent to the computers listed in ipaddress.txt
	ECHO.
	ECHO  4 - Exit
	ECHO.
	:GETINPUT
	set INPUT=
	set /P INPUT=Enter the option: %=%
	IF "%INPUT%" == "1" GOTO INSTALLAGENTIPSINGLE
	IF "%INPUT%" == "2" GOTO INSTALLAGENTIPRANGE
	IF "%INPUT%" == "3" GOTO INSTALLAGENTIPTXT
	IF "%INPUT%" == "4" GOTO :EOF
	if "%INPUT%"=="" GOTO INVALID
GOTO INVALID

:INSTALLAGENTIPSINGLE
	
	ECHO.
	start /B /wait dcremagentinstaller.exe "SingleIP"
	IF "%ERRORLEVEL%" == "9059" GOTO AGENTINSTALLFAIL_UNZIP
GOTO SEELOGS

:INSTALLAGENTIPTXT
	
	ECHO.
	start /B /wait dcremagentinstaller.exe "SpecificIPsTXT"
	IF "%ERRORLEVEL%" == "9059" GOTO AGENTINSTALLFAIL_UNZIP
GOTO SEELOGS

:INSTALLAGENTIPRANGE
	
	ECHO.
	start /B /wait dcremagentinstaller.exe "IPRange"
	IF "%ERRORLEVEL%" == "9059" GOTO AGENTINSTALLFAIL_UNZIP
GOTO SEELOGS

:AGENTINSTALLFAIL_UNZIP
SET ERROR=%ERRORLEVEL%
ECHO.
ECHO -----------------------------------------------------------------------------
Msg %username% /TIME:0 /V /W "Please Un-Zip/ Extract the contents and try running SetupUtility.bat." 
ECHO.
ECHO DesktopCentral Agent installation failed. ErrorCode: %ERROR%
net helpmsg %ERROR%
ECHO -----------------------------------------------------------------------------
GOTO ENDFILE

:INVALID
Msg %username% /TIME:0 /V /W "Please enter the valid option."
ECHO.
GOTO GETINPUT

:SEELOGS
ECHO.
ECHO See the logs.txt to verify the status of the installation of the Agents.
GOTO ENDFILE

:ENDFILE
ECHO.
PAUSE
